IceWarp Merak Mail Server < 9.4.0 IMG Tag XSS

Medium Nessus Network Monitor Plugin ID 4800

Synopsis

The remote webmail server is affected by a cross-site scripting vulnerability.

Description

The remote host is running IceWarp Merak Mail Server, a webmail server for Windows and Linux. According to its banner, the version of IceWarp installed on the remote host is older than 9.4.0. Such versions reportedly fail to sanitize input passed to 'IMG' HTML tags in an e-mail message before displaying them. A remote attacker could leverage this issue to inject arbitrary HTML and script code into a user's browser to be executed within the security context of the affected application.

Solution

Upgrade to version 9.4.0 or higher.

See Also

http://blog.vijatov.com/index.php?itemid=11

http://www.icewarp.com/news/alerts_20081217_version94.php

http://www.securityfocus.com/bid/32969

Plugin Details

Severity: Medium

ID: 4800

Family: SMTP Servers

Published: 2008/12/23

Updated: 2019/03/06

Dependencies: 2004, 2005

Nessus ID: 35281

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSS v3.0

Base Score: 5.6

Temporal Score: 5.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:icewarp:merak_mail_server

Reference Information

CVE: CVE-2008-5734

BID: 32969